npm-registry:
  stage: test
  image: node:lts-slim
  script:
    - apt-get update && apt-get install gettext-base -y
    - export NPM_PACKAGE_SCOPE=$(echo $CI_PROJECT_NAMESPACE | cut -d '/' -f 1)
    - cd npm-registry
    - <package-template.json envsubst > package.json
    - npm config set "@$NPM_PACKAGE_SCOPE:registry" "$CI_SERVER_URL/api/v4/packages/npm/"
    - npm config set "//$CI_SERVER_HOST/api/v4/packages/npm/:_authToken" "$CI_JOB_TOKEN"
    - npm config set "//$CI_SERVER_HOST/api/v4/projects/$CI_PROJECT_ID/packages/npm/:_authToken" "$CI_JOB_TOKEN"
    - npm publish --verbose
